System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.Data.SqlTypes.INullable System.IComparable System.Xml.Serialization.IXmlSerializable System.Xml.Serialization.XmlSchemaProvider("GetXsdType") To be added

Represents a variable-length stream of binary data to be stored in or retrieved from a database.

- Constructor
  To be added

  Initializes a new instance of the structure, setting the property to the contents of the supplied byte array.

  The byte array to be stored or retrieved.
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Data.SqlTypes.SqlBinary `` ``

  will appear first in the resulting , followed by .

  Concatenates two specified values to create a new structure.

  A that is the concatenated value of x and y.

  A . A .
- Method
  2.0.0.0
  System.Int32 `` To be added.

  Compares this object to the supplied object and returns an indication of their relative values.

  A signed number that indicates the relative values of this structure and the object.

  Return value

  Condition

  Less than zero

  The value of this object is less than the object.

  Zero

  This object is the same as object.

  Greater than zero

  This object is greater than object.

  -or-

  The object is a null reference.

  The object to be compared to this structure.
- Method
  System.Int32 `` To be added

  Compares this object to the supplied object and returns an indication of their relative values.

  A signed number that indicates the relative values of this structure and the object.

  Return value

  Condition

  Less than zero

  The value of this object is less than the object.

  Zero

  This object is the same as object.

  Greater than zero

  This object is greater than object.

  -or-

  The object is a null reference.

  The object to be compared to this structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBinary `` `` To be added

  Concatenates two structures to create a new structure.

  The concatenated values of the and parameters.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Compares the supplied object parameter to the property of the object.

  true if object is an instance of and the two are equal; otherwise false.

  The object to be compared. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two structures to determine whether they are equal.

  true if the two values are equal. Otherwise, false. If either instance is null, then the SqlBinary will be null.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added

  Returns the hash code for this structure.

  A 32-bit signed integer hash code.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Xml.XmlQualifiedName `` To be added.

  Returns the XML Schema definition language (XSD) of the specified .

  A string that indicates the XSD of the specified .

  An .
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two structures to determine whether the first is greater than the second.

  A that is if the first instance is greater than the second instance. Otherwise . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two structures to determine whether the first is greater than or equal to the second.

  A that is if the first instance is greater than or equal to the second instance. Otherwise . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  For more information, see Handling Null Values (ADO.NET).

  Indicates whether this structure is null. This property is read-only.

  1.0.5000.0
  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Byte `` To be added. To be added. To be added. To be added.
- Property
  System.Int32 To be added: an object of type 'int'

  To avoid raising a , always examine the property before reading the property.

  Gets the length in bytes of the property. This property is read-only.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two structures to determine whether the first is less than the second.

  A that is if the first instance is less than the second instance. Otherwise . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two structures to determine whether the first is less than or equal to the second.

  A that is if the first instance is less than or equal to the second instance. Otherwise . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two structures to determine whether they are not equal.

  A that is if the two instances are not equal or if the two instances are equal. If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Field
  System.Data.SqlTypes.SqlBinary

  Null functions as a constant for the structure. For more information, see Handling Null Values (ADO.NET).

  Represents a that can be assigned to this instance of the structure.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBinary `` ``

  will appear first in the resulting , followed by .

  Concatenates the two parameters to create a new structure.

  The concatenated values of the and parameters.

  A object. A object.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two structures to determine whether they are equal.

  A that is if the two instances are equal or if the two instances are not equal. If either instance of is null, the of the will be .

  A object. A object.
- Method
  1.0.5000.0
  2.0.0.0
  System.Byte[] `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBinary `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two structures to determine whether the first is greater than the second.

  A that is if the first instance is greater than the second instance. Otherwise . If either instance of is null, the of the will be .

  A object. A object.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two structues to determine whether the first is greater than or equal to the second.

  A that is if the first instance is greater than or equal to the second instance. Otherwise . If either instance of is null, the of the will be .

  A object. A object.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBinary `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two structures to determine whether they are not equal.

  A that is if the two instances are not equal or if the two instances are equal. If either instance of is null, the of the will be .

  A object. A object.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two structures to determine whether the first is less than the second.

  A that is if the first instance is less than the second instance. Otherwise . If either instance of is null, the of the will be .

  A object. A object.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two structures to determine whether the first is less than or equal to the second.

  A that is if the first instance is less than or equal to the second instance. Otherwise . If either instance of is null, the of the will be .

  A object. A object.
- Method
  2.0.0.0
  System.Xml.Schema.XmlSchema

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  An instance.

- Method
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  A .
- Method
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  A .
- Method
  System.Data.SqlTypes.SqlGuid To be added

  Converts this instance of to .

  A structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Converts this object to a string.

  A string that contains the of the . If the is null the string will contain "null".

  1.0.5000.0
  2.0.0.0
- Property
  System.Byte[] To be added: an object of type 'byte []'

  To avoid raising a SqlNullValueException, always examine the property before reading the property.

  Gets the value of the structure. This property is read-only.

  1.0.5000.0
  2.0.0.0